#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    long long l=0,r=0,u=0,d=0;
    string a;
    cin>>a;
    for(long long i=0;i<a.size();i++){
        if(a[i]=='L'){
            r++;
        }
        if(a[i]=='R'){
            l++;
        }
        if(a[i]=='U'){
            d++;
        }
        if(a[i]=='D'){
            u++;
        }
    }
    bool check=false;
    if(u>d){
            check=1;
        for(long long i=0;i<u-d;i++){
            cout<<"U";
        }
    }
    if(u<d){
         check=1;
        for(long long i=0;i<d-u;i++){
            cout<<"D";
        }
    }
    if(l>r){
         check=1;
        for(long long i=0;i<l-r;i++){
            cout<<"L";
        }
    }
    if(l<r){
         check=1;
        for(long long i=0;i<r-l;i++){
            cout<<"R";
        }
    }
    if(check==0){
        cout<<0<<endl;
    }





    return 0;
}
